-- 基础信息
base_info = {
	group_id = 247007007
}

-- DEFS_MISCS
local GroupId = 247007007
local point_id_list = {}
local MainGroupID = 247007001
local RegionID = 7001

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
}

-- 区域
regions = {
	{ config_id = 7001, shape = RegionShape.CUBIC, size = { x = 40.000, y = 25.000, z = 40.000 }, pos = { x = 79.971, y = -0.608, z = 160.044 } }
}

-- 触发器
triggers = {
	{ config_id = 1007001, name = "ENTER_REGION_7001", event = EventType.EVENT_ENTER_REGION, source = "", condition = "", action = "" }
}

-- 点位
points = {
	{ config_id = 7002, pos = { x = 76.036, y = -0.551, z = 167.711 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 7003, pos = { x = 84.120, y = -0.553, z = 167.657 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 7004, pos = { x = 80.015, y = -0.557, z = 168.602 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 7005, pos = { x = 72.859, y = -0.536, z = 166.496 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 2 },
	{ config_id = 7006, pos = { x = 87.080, y = -0.543, z = 166.055 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 2 },
	{ config_id = 7007, pos = { x = 71.639, y = -0.552, z = 163.774 }, rot = { x = 0.000, y = 110.000, z = 0.000 }, tag = 2 },
	{ config_id = 7008, pos = { x = 88.747, y = -0.547, z = 163.790 }, rot = { x = 0.000, y = 250.000, z = 0.000 }, tag = 2 },
	{ config_id = 7009, pos = { x = 71.388, y = -0.558, z = 160.069 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 7010, pos = { x = 88.848, y = -0.550, z = 160.085 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 2 },
	{ config_id = 7011, pos = { x = 80.050, y = -0.543, z = 168.142 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 7012, pos = { x = 74.265, y = -0.532, z = 167.209 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 4 },
	{ config_id = 7013, pos = { x = 85.741, y = -0.558, z = 167.175 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 4 },
	{ config_id = 7014, pos = { x = 71.321, y = -0.549, z = 162.530 }, rot = { x = 0.000, y = 100.000, z = 0.000 }, tag = 4 },
	{ config_id = 7015, pos = { x = 88.871, y = -0.551, z = 162.535 }, rot = { x = 0.000, y = 260.000, z = 0.000 }, tag = 4 },
	{ config_id = 7016, pos = { x = 71.335, y = -0.555, z = 157.646 }, rot = { x = 0.000, y = 80.000, z = 0.000 }, tag = 4 },
	{ config_id = 7017, pos = { x = 88.778, y = -0.557, z = 157.701 }, rot = { x = 0.000, y = 280.000, z = 0.000 }, tag = 4 },
	{ config_id = 7018, pos = { x = 74.313, y = -0.557, z = 152.978 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, tag = 4 },
	{ config_id = 7019, pos = { x = 85.671, y = -0.558, z = 152.893 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 4 },
	{ config_id = 7020, pos = { x = 79.952, y = -0.558, z = 152.099 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	{ config_id = 7021, pos = { x = 72.836, y = -0.516, z = 167.226 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 8 },
	{ config_id = 7022, pos = { x = 87.116, y = -0.541, z = 167.229 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 8 },
	{ config_id = 7023, pos = { x = 72.838, y = -0.558, z = 152.875 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, tag = 8 },
	{ config_id = 7024, pos = { x = 87.039, y = -0.558, z = 152.953 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 8 },
	{ config_id = 7025, pos = { x = 80.141, y = -0.540, z = 167.474 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 7026, pos = { x = 79.943, y = -0.558, z = 152.717 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 7027, pos = { x = 71.861, y = -0.557, z = 160.047 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 8 },
	{ config_id = 7028, pos = { x = 88.237, y = -0.554, z = 160.013 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 8 },
	{ config_id = 7029, pos = { x = 71.966, y = -0.556, z = 155.983 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, tag = 8 },
	{ config_id = 7030, pos = { x = 87.934, y = -0.549, z = 163.422 }, rot = { x = 0.000, y = 240.000, z = 0.000 }, tag = 8 },
	{ config_id = 7031, pos = { x = 83.373, y = -0.557, z = 152.399 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 8 },
	{ config_id = 7032, pos = { x = 76.121, y = -0.532, z = 167.322 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 8 },
	{ config_id = 7033, pos = { x = 85.122, y = -0.608, z = 164.533 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 256 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { 7001 },
		triggers = { "ENTER_REGION_7001" },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_2/RogueDungeon_Require"
